- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | Friends

# QString Class Reference

This reference page is linked to from the following overview topics: Mudbox 2013, Miscellaneous Utilities.

Search for all occurrences

## Detailed Description

Examples:

  AutoExtract/AutoExtract.cpp, ImageIOHandlerRAW/ImageIOHandlerRAW.cpp, ImageIOHandlerRAW/ImageIOHandlerRAW.h, MenuMessenger/MenuMessenger.cpp, MeshDisplace/displacer.cpp, MeshDisplace/displacer.h, PLYImport/Importer.cpp, PtexExtractor/PtexLayout.cpp, PtexExtractor/PtexPaintExporter.cpp, PtexExtractor/PtexPaintExporter.h, PtexExtractor/PtexUtilizer.h, PtexImporter/PtexImporter.cpp, PtexImporter/PtexImporter.h, SampleViewportFilter/SampleViewportFilter.cpp, SampleViewportFilter/SampleViewportFilter.h, STLExport/STLExporter.cpp, TextureConveyor/TextureConveyor.cpp, TextureSwapperViewportFilter/TextureSwapperViewportFilter.h, and ToonMaterial/ToonMaterial.cpp.

Definition at line 100 of file qstring.h.

`#include <qstring.h>`

List of all members.

## Classes
struct | Data
struct | Null
## Public Types
enum | SectionFlag { SectionDefault = 0x00, SectionSkipEmpty = 0x01, SectionIncludeLeadingSep = 0x02, SectionIncludeTrailingSep = 0x04, SectionCaseInsensitiveSeps = 0x08 }
enum | SplitBehavior { KeepEmptyParts, SkipEmptyParts }
enum | NormalizationForm { NormalizationForm_D, NormalizationForm_C, NormalizationForm_KD, NormalizationForm_KC }
typedef QChar * | iterator
typedef const QChar * | const_iterator
typedef iterator | Iterator
typedef const_iterator | ConstIterator
typedef Data * | DataPtr
## Public Member Functions
| QString ()
| QString (const QChar *unicode, int size)
| QString (const QChar *unicode)
| QString (QChar c)
| QString (int size, QChar c)
| QString (const QLatin1String &latin1)
| QString (const QString &)
| ~QString ()
QString & | operator= (QChar c)
QString & | operator= (const QString &)
QString & | operator= (const QLatin1String &)
int | size () const
int | count () const
int | length () const
bool | isEmpty () const
void | resize (int size)
QString & | fill (QChar c, int size=-1)
void | truncate (int pos)
void | chop (int n)
int | capacity () const
void | reserve (int size)
void | squeeze ()
const QChar * | unicode () const
QChar * | data ()
const QChar * | data () const
const QChar * | constData () const
void | detach ()
bool | isDetached () const
bool | isSharedWith (const QString &other) const
void | clear ()
const QChar | at (int i) const
const QChar | operator[] (int i) const
QCharRef | operator[] (int i)
const QChar | operator[] (uint i) const
QCharRef | operator[] (uint i)
QString | arg (qlonglong a, int fieldwidth=0, int base=10, const QChar &fillChar=QLatin1Char(' ')) const Q_REQUIRED_RESULT
QString | arg (qulonglong a, int fieldwidth=0, int base=10, const QChar &fillChar=QLatin1Char(' ')) const Q_REQUIRED_RESULT
QString | arg (long a, int fieldwidth=0, int base=10, const QChar &fillChar=QLatin1Char(' ')) const Q_REQUIRED_RESULT
QString | arg (ulong a, int fieldwidth=0, int base=10, const QChar &fillChar=QLatin1Char(' ')) const Q_REQUIRED_RESULT
QString | arg (int a, int fieldWidth=0, int base=10, const QChar &fillChar=QLatin1Char(' ')) const Q_REQUIRED_RESULT
QString | arg (uint a, int fieldWidth=0, int base=10, const QChar &fillChar=QLatin1Char(' ')) const Q_REQUIRED_RESULT
QString | arg (short a, int fieldWidth=0, int base=10, const QChar &fillChar=QLatin1Char(' ')) const Q_REQUIRED_RESULT
QString | arg (ushort a, int fieldWidth=0, int base=10, const QChar &fillChar=QLatin1Char(' ')) const Q_REQUIRED_RESULT
QString | arg (double a, int fieldWidth=0, char fmt= 'g', int prec=-1, const QChar &fillChar=QLatin1Char(' ')) const Q_REQUIRED_RESULT
QString | arg (char a, int fieldWidth=0, const QChar &fillChar=QLatin1Char(' ')) const Q_REQUIRED_RESULT
QString | arg (QChar a, int fieldWidth=0, const QChar &fillChar=QLatin1Char(' ')) const Q_REQUIRED_RESULT
QString | arg (const QString &a, int fieldWidth=0, const QChar &fillChar=QLatin1Char(' ')) const Q_REQUIRED_RESULT
QString | arg (const QString &a1, const QString &a2) const Q_REQUIRED_RESULT
QString | arg (const QString &a1, const QString &a2, const QString &a3) const Q_REQUIRED_RESULT
QString | arg (const QString &a1, const QString &a2, const QString &a3, const QString &a4) const Q_REQUIRED_RESULT
QString | arg (const QString &a1, const QString &a2, const QString &a3, const QString &a4, const QString &a5) const Q_REQUIRED_RESULT
QString | arg (const QString &a1, const QString &a2, const QString &a3, const QString &a4, const QString &a5, const QString &a6) const Q_REQUIRED_RESULT
QString | arg (const QString &a1, const QString &a2, const QString &a3, const QString &a4, const QString &a5, const QString &a6, const QString &a7) const Q_REQUIRED_RESULT
QString | arg (const QString &a1, const QString &a2, const QString &a3, const QString &a4, const QString &a5, const QString &a6, const QString &a7, const QString &a8) const Q_REQUIRED_RESULT
QString | arg (const QString &a1, const QString &a2, const QString &a3, const QString &a4, const QString &a5, const QString &a6, const QString &a7, const QString &a8, const QString &a9) const Q_REQUIRED_RESULT
QString & | vsprintf (const char *format, va_list ap)
QString & | sprintf (const char *format,...)
int | indexOf (QChar c, int from=0, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
int | indexOf (const QString &s, int from=0, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
int | indexOf (const QLatin1String &s, int from=0, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
int | lastIndexOf (QChar c, int from=-1, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
int | lastIndexOf (const QString &s, int from=-1, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
int | lastIndexOf (const QLatin1String &s, int from=-1, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
QBool | contains (QChar c, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
QBool | contains (const QString &s, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
int | count (QChar c, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
int | count (const QString &s, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
int | indexOf (const QRegExp &, int from=0) const
int | lastIndexOf (const QRegExp &, int from=-1) const
QBool | contains (const QRegExp &rx) const
int | count (const QRegExp &) const
int | indexOf (QRegExp &, int from=0) const
int | lastIndexOf (QRegExp &, int from=-1) const
QBool | contains (QRegExp &rx) const
QString | section (QChar sep, int start, int end=-1, SectionFlags flags=SectionDefault) const
QString | section (const QString &in_sep, int start, int end=-1, SectionFlags flags=SectionDefault) const
QString | section (const QRegExp &reg, int start, int end=-1, SectionFlags flags=SectionDefault) const
QString | left (int n) const Q_REQUIRED_RESULT
QString | right (int n) const Q_REQUIRED_RESULT
QString | mid (int position, int n=-1) const Q_REQUIRED_RESULT
QStringRef | leftRef (int n) const Q_REQUIRED_RESULT
QStringRef | rightRef (int n) const Q_REQUIRED_RESULT
QStringRef | midRef (int position, int n=-1) const Q_REQUIRED_RESULT
bool | startsWith (const QString &s, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
bool | startsWith (const QLatin1String &s, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
bool | startsWith (const QChar &c, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
bool | endsWith (const QString &s, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
bool | endsWith (const QLatin1String &s, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
bool | endsWith (const QChar &c, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
QString | leftJustified (int width, QChar fill=QLatin1Char(' '), bool trunc=false) const Q_REQUIRED_RESULT
QString | rightJustified (int width, QChar fill=QLatin1Char(' '), bool trunc=false) const Q_REQUIRED_RESULT
QString | toLower () const Q_REQUIRED_RESULT
QString | toUpper () const Q_REQUIRED_RESULT
QString | toCaseFolded () const Q_REQUIRED_RESULT
QString | trimmed () const Q_REQUIRED_RESULT
QString | simplified () const Q_REQUIRED_RESULT
QString & | insert (int i, QChar c)
QString & | insert (int i, const QChar *uc, int len)
QString & | insert (int i, const QString &s)
QString & | insert (int i, const QLatin1String &s)
QString & | append (QChar c)
QString & | append (const QString &s)
QString & | append (const QStringRef &s)
QString & | append (const QLatin1String &s)
QString & | prepend (QChar c)
QString & | prepend (const QString &s)
QString & | prepend (const QLatin1String &s)
QString & | operator+= (QChar c)
QString & | operator+= (QChar::SpecialCharacter c)
QString & | operator+= (const QString &s)
QString & | operator+= (const QStringRef &s)
QString & | operator+= (const QLatin1String &s)
QString & | remove (int i, int len)
QString & | remove (QChar c, Qt::CaseSensitivity cs=Qt::CaseSensitive)
QString & | remove (const QString &s, Qt::CaseSensitivity cs=Qt::CaseSensitive)
QString & | replace (int i, int len, QChar after)
QString & | replace (int i, int len, const QChar *s, int slen)
QString & | replace (int i, int len, const QString &after)
QString & | replace (QChar before, QChar after, Qt::CaseSensitivity cs=Qt::CaseSensitive)
QString & | replace (const QChar *before, int blen, const QChar *after, int alen, Qt::CaseSensitivity cs=Qt::CaseSensitive)
QString & | replace (const QLatin1String &before, const QLatin1String &after, Qt::CaseSensitivity cs=Qt::CaseSensitive)
QString & | replace (const QLatin1String &before, const QString &after, Qt::CaseSensitivity cs=Qt::CaseSensitive)
QString & | replace (const QString &before, const QLatin1String &after, Qt::CaseSensitivity cs=Qt::CaseSensitive)
QString & | replace (const QString &before, const QString &after, Qt::CaseSensitivity cs=Qt::CaseSensitive)
QString & | replace (QChar c, const QString &after, Qt::CaseSensitivity cs=Qt::CaseSensitive)
QString & | replace (QChar c, const QLatin1String &after, Qt::CaseSensitivity cs=Qt::CaseSensitive)
QString & | replace (const QRegExp &rx, const QString &after)
QString & | remove (const QRegExp &rx)
QStringList | split (const QString &sep, SplitBehavior behavior=KeepEmptyParts, Qt::CaseSensitivity cs=Qt::CaseSensitive) const Q_REQUIRED_RESULT
QStringList | split (const QChar &sep, SplitBehavior behavior=KeepEmptyParts, Qt::CaseSensitivity cs=Qt::CaseSensitive) const Q_REQUIRED_RESULT
QStringList | split (const QRegExp &sep, SplitBehavior behavior=KeepEmptyParts) const Q_REQUIRED_RESULT
QString | normalized (NormalizationForm mode) const Q_REQUIRED_RESULT
QString | normalized (NormalizationForm mode, QChar::UnicodeVersion version) const Q_REQUIRED_RESULT
QString | repeated (int times) const
const ushort * | utf16 () const
QByteArray | toAscii () const Q_REQUIRED_RESULT
QByteArray | toLatin1 () const Q_REQUIRED_RESULT
QByteArray | toUtf8 () const Q_REQUIRED_RESULT
QByteArray | toLocal8Bit () const Q_REQUIRED_RESULT
QVector< uint > | toUcs4 () const Q_REQUIRED_RESULT
int | toWCharArray (wchar_t *array) const
QString & | setRawData (const QChar *unicode, int size)
QString & | setUnicode (const QChar *unicode, int size)
QString & | setUtf16 (const ushort *utf16, int size)
int | compare (const QString &s) const
int | compare (const QString &s, Qt::CaseSensitivity cs) const
int | compare (const QLatin1String &other, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
int | compare (const QStringRef &s, Qt::CaseSensitivity cs=Qt::CaseSensitive) const
int | localeAwareCompare (const QString &s) const
int | localeAwareCompare (const QStringRef &s) const
short | toShort (bool *ok=0, int base=10) const
ushort | toUShort (bool *ok=0, int base=10) const
int | toInt (bool *ok=0, int base=10) const
uint | toUInt (bool *ok=0, int base=10) const
long | toLong (bool *ok=0, int base=10) const
ulong | toULong (bool *ok=0, int base=10) const
qlonglong | toLongLong (bool *ok=0, int base=10) const
qulonglong | toULongLong (bool *ok=0, int base=10) const
float | toFloat (bool *ok=0) const
double | toDouble (bool *ok=0) const
QString & | setNum (short, int base=10)
QString & | setNum (ushort, int base=10)
QString & | setNum (int, int base=10)
QString & | setNum (uint, int base=10)
QString & | setNum (long, int base=10)
QString & | setNum (ulong, int base=10)
QString & | setNum (qlonglong, int base=10)
QString & | setNum (qulonglong, int base=10)
QString & | setNum (float, char f='g', int prec=6)
QString & | setNum (double, char f='g', int prec=6)
bool | operator== (const QString &s) const
bool | operator< (const QString &s) const
bool | operator> (const QString &s) const
bool | operator!= (const QString &s) const
bool | operator<= (const QString &s) const
bool | operator>= (const QString &s) const
bool | operator== (const QLatin1String &s) const
bool | operator< (const QLatin1String &s) const
bool | operator> (const QLatin1String &s) const
bool | operator!= (const QLatin1String &s) const
bool | operator<= (const QLatin1String &s) const
bool | operator>= (const QLatin1String &s) const
QT_ASCII_CAST_WARN_CONSTRUCTOR | QString (const char *ch)
QT_ASCII_CAST_WARN_CONSTRUCTOR | QString (const QByteArray &a)
QT_ASCII_CAST_WARN QString & | operator= (const char *ch)
QT_ASCII_CAST_WARN QString & | operator= (const QByteArray &a)
QT_ASCII_CAST_WARN QString & | operator= (char c)
QT_ASCII_CAST_WARN QString & | prepend (const char *s)
QT_ASCII_CAST_WARN QString & | prepend (const QByteArray &s)
QT_ASCII_CAST_WARN QString & | append (const char *s)
QT_ASCII_CAST_WARN QString & | append (const QByteArray &s)
QT_ASCII_CAST_WARN QString & | operator+= (const char *s)
QT_ASCII_CAST_WARN QString & | operator+= (const QByteArray &s)
QT_ASCII_CAST_WARN QString & | operator+= (char c)
QT_ASCII_CAST_WARN bool | operator== (const char *s) const
QT_ASCII_CAST_WARN bool | operator!= (const char *s) const
QT_ASCII_CAST_WARN bool | operator< (const char *s) const
QT_ASCII_CAST_WARN bool | operator<= (const char *s2) const
QT_ASCII_CAST_WARN bool | operator> (const char *s2) const
QT_ASCII_CAST_WARN bool | operator>= (const char *s2) const
QT_ASCII_CAST_WARN bool | operator== (const QByteArray &s) const
QT_ASCII_CAST_WARN bool | operator!= (const QByteArray &s) const
QT_ASCII_CAST_WARN bool | operator< (const QByteArray &s) const
QT_ASCII_CAST_WARN bool | operator> (const QByteArray &s) const
QT_ASCII_CAST_WARN bool | operator<= (const QByteArray &s) const
QT_ASCII_CAST_WARN bool | operator>= (const QByteArray &s) const
iterator | begin ()
const_iterator | begin () const
const_iterator | constBegin () const
iterator | end ()
const_iterator | end () const
const_iterator | constEnd () const
void | push_back (QChar c)
void | push_back (const QString &s)
void | push_front (QChar c)
void | push_front (const QString &s)
std::string | toStdString () const
QStdWString | toStdWString () const
| QString (const Null &)
QString & | operator= (const Null &)
bool | isNull () const
bool | isSimpleText () const
bool | isRightToLeft () const
| QString (int size, Qt::Initialization)
DataPtr & | data_ptr ()
## Static Public Member Functions
static QString | fromAscii (const char *, int size=-1)
static QString | fromLatin1 (const char *, int size=-1)
static QString | fromUtf8 (const char *, int size=-1)
static QString | fromLocal8Bit (const char *, int size=-1)
static QString | fromUtf16 (const ushort *, int size=-1)
static QString | fromUcs4 (const uint *, int size=-1)
static QString | fromRawData (const QChar *, int size)
static QString | fromWCharArray (const wchar_t *, int size=-1)
static int | compare (const QString &s1, const QString &s2)
static int | compare (const QString &s1, const QString &s2, Qt::CaseSensitivity cs)
static int | compare (const QString &s1, const QLatin1String &s2, Qt::CaseSensitivity cs=Qt::CaseSensitive)
static int | compare (const QLatin1String &s1, const QString &s2, Qt::CaseSensitivity cs=Qt::CaseSensitive)
static int | compare (const QString &s1, const QStringRef &s2, Qt::CaseSensitivity=Qt::CaseSensitive)
static int | localeAwareCompare (const QString &s1, const QString &s2)
static int | localeAwareCompare (const QString &s1, const QStringRef &s2)
static QString | number (int, int base=10)
static QString | number (uint, int base=10)
static QString | number (long, int base=10)
static QString | number (ulong, int base=10)
static QString | number (qlonglong, int base=10)
static QString | number (qulonglong, int base=10)
static QString | number (double, char f='g', int prec=6)
static QString | fromStdString (const std::string &s)
static QString | fromStdWString (const QStdWString &s)
## Static Public Attributes
static const Null | null
## Friends
class | QCharRef
class | QTextCodec
class | QStringRef
struct | QAbstractConcatenable
bool | qStringComparisonHelper (const QString &s1, const char *s2)
bool | qStringComparisonHelper (const QStringRef &s1, const char *s2)

## Member Typedef Documentation

typedef QChar* iterator

Search for all occurrences

Definition at line 473 of file qstring.h.

typedef const QChar* const_iterator

Search for all occurrences

Definition at line 474 of file qstring.h.

typedef iterator Iterator

Search for all occurrences

Definition at line 475 of file qstring.h.

typedef const_iterator ConstIterator

Search for all occurrences

Definition at line 476 of file qstring.h.

typedef Data* DataPtr

Search for all occurrences

Definition at line 652 of file qstring.h.

## Member Enumeration Documentation

enum SectionFlag

Search for all occurrences

Enumerator:

  SectionDefault | Search for all occurrences
  SectionSkipEmpty | Search for all occurrences
  SectionIncludeLeadingSep | Search for all occurrences
  SectionIncludeTrailingSep | Search for all occurrences
  SectionCaseInsensitiveSeps | Search for all occurrences

Definition at line 221 of file qstring.h.

                         {
            SectionDefault             = 0x00,
            SectionSkipEmpty           = 0x01,
            SectionIncludeLeadingSep   = 0x02,
            SectionIncludeTrailingSep  = 0x04,
            SectionCaseInsensitiveSeps = 0x08
        };

enum SplitBehavior

Search for all occurrences

Enumerator:

  KeepEmptyParts | Search for all occurrences
  SkipEmptyParts | Search for all occurrences

Definition at line 306 of file qstring.h.

    { KeepEmptyParts, SkipEmptyParts };

enum NormalizationForm

Search for all occurrences

Enumerator:

  NormalizationForm_D | Search for all occurrences
  NormalizationForm_C | Search for all occurrences
  NormalizationForm_KD | Search for all occurrences
  NormalizationForm_KC | Search for all occurrences

Definition at line 316 of file qstring.h.

                               {
            NormalizationForm_D,
            NormalizationForm_C,
            NormalizationForm_KD,
            NormalizationForm_KC
        };

## Constructor & Destructor Documentation

QString | ( |  | ) | `[inline]`

Definition at line 882 of file qstring.h.

    : d(&shared_null) { d->ref.ref(); }

QString | ( | const QChar * | unicode,
|  | int | size
| ) |  |

QString | ( | const QChar * | unicode | ) | `[explicit]`

QString | ( | QChar | c | ) |

QString | ( | int | size,
|  | QChar | c
| ) |  |

QString | ( | const QLatin1String & | latin1 | ) | `[inline]`

Definition at line 697 of file qstring.h.

                                                        : d(fromLatin1_helper(aLatin1.latin1()))
    { }

QString | ( | const QString & | other | ) | `[inline]`

Definition at line 728 of file qstring.h.

                                                : d(other.d)
    { Q_ASSERT(&other != this); d->ref.ref(); }

~QString | ( |  | ) | `[inline]`

Definition at line 883 of file qstring.h.

    { if (!d->ref.deref()) free(d); }

QT_ASCII_CAST_WARN_CONSTRUCTOR QString | ( | const char * | ch | ) | `[inline]`

Definition at line 426 of file qstring.h.

                                                                      : d(fromAscii_helper(ch))
        {}

QT_ASCII_CAST_WARN_CONSTRUCTOR QString | ( | const QByteArray & | a | ) | `[inline]`

Definition at line 428 of file qstring.h.

            : d(fromAscii_helper(a.constData(), qstrnlen(a.constData(), a.size())))
        {}

QString | ( | const Null & |  | ) | `[inline]`

Definition at line 507 of file qstring.h.

    : d(&shared_null) { d->ref.ref(); }

QString | ( | int | size,
|  | Qt::Initialization |
| ) |  |

## Member Function Documentation

QString& operator= | ( | QChar | c | ) |

QString& operator= | ( | const QString & |  | ) |

QString & operator= | ( | const QLatin1String & | s | ) | `[inline]`

Definition at line 721 of file qstring.h.

    {
        *this = fromLatin1(s.latin1());
        return *this;
    }

int size | ( |  | ) | const `[inline]`

Search for all occurrences

Examples:
  ImageIOHandlerRAW/ImageIOHandlerRAW.cpp, and MeshDisplace/displacer.cpp.

Definition at line 115 of file qstring.h.

    { return d->size; }

int count | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 116 of file qstring.h.

    { return d->size; }

int length | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 699 of file qstring.h.

    { return d->size; }

bool isEmpty | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 707 of file qstring.h.

    { return d->size == 0; }

void resize | ( | int | size | ) |

Search for all occurrences

QString& fill | ( | QChar | c,
|  | int | size = `-1`
| ) |  |

Search for all occurrences

void truncate | ( | int | pos | ) |

Search for all occurrences

void chop | ( | int | n | ) |

Search for all occurrences

int capacity | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 730 of file qstring.h.

    { return d->alloc; }

void reserve | ( | int | size | ) | `[inline]`

Search for all occurrences

Definition at line 884 of file qstring.h.

    { if (d->ref != 1 || asize > d->alloc) realloc(asize); d->capacity = 1;}

void squeeze | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 127 of file qstring.h.

    { if (d->size < d->alloc || d->ref != 1) realloc(); d->capacity = 0;}

const QChar * unicode | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 709 of file qstring.h.

    { return reinterpret_cast<const QChar*>(d->data); }

QChar * data | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 713 of file qstring.h.

    { detach(); return reinterpret_cast<QChar*>(d->data); }

const QChar * data | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 711 of file qstring.h.

    { return reinterpret_cast<const QChar*>(d->data); }

const QChar * constData | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 715 of file qstring.h.

    { return reinterpret_cast<const QChar*>(d->data); }

void detach | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 717 of file qstring.h.

    { if (d->ref != 1 || d->data != d->array) realloc(); }

bool isDetached | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 719 of file qstring.h.

    { return d->ref == 1; }

bool isSharedWith | ( | const QString & | other | ) | const `[inline]`

Search for all occurrences

Definition at line 136 of file qstring.h.

    { return d == other.d; }

void clear | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 726 of file qstring.h.

    { if (!isNull()) *this = QString(); }

const QChar at | ( | int | i | ) | const `[inline]`

Search for all occurrences

Definition at line 701 of file qstring.h.

    { Q_ASSERT(i >= 0 && i < size()); return d->data[i]; }

const QChar operator[] | ( | int | i | ) | const `[inline]`

Definition at line 703 of file qstring.h.

    { Q_ASSERT(i >= 0 && i < size()); return d->data[i]; }

QCharRef operator[] | ( | int | i | ) | `[inline]`

Definition at line 887 of file qstring.h.

    { Q_ASSERT(i >= 0); return QCharRef(*this, i); }

const QChar operator[] | ( | uint | i | ) | const `[inline]`

Definition at line 705 of file qstring.h.

    { Q_ASSERT(i < uint(size())); return d->data[i]; }

QCharRef operator[] | ( | uint | i | ) | `[inline]`

Definition at line 889 of file qstring.h.

    { return QCharRef(*this, i); }

QString arg | ( | qlonglong | a,
|  | int | fieldwidth = `0`,
|  | int | base = `10`,
|  | const QChar & | fillChar = `QLatin1Char(' ')`
| ) |  | const

Search for all occurrences

Examples:
  MeshDisplace/displacer.cpp, PtexExtractor/PtexLayout.cpp, and TextureConveyor/TextureConveyor.cpp.

QString arg | ( | qulonglong | a,
|  | int | fieldwidth = `0`,
|  | int | base = `10`,
|  | const QChar & | fillChar = `QLatin1Char(' ')`
| ) |  | const

Search for all occurrences

QString arg | ( | long | a,
|  | int | fieldwidth = `0`,
|  | int | base = `10`,
|  | const QChar & | fillChar = `QLatin1Char(' ')`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 750 of file qstring.h.

    { return arg(qlonglong(a), fieldWidth, base, fillChar); }

QString arg | ( | ulong | a,
|  | int | fieldwidth = `0`,
|  | int | base = `10`,
|  | const QChar & | fillChar = `QLatin1Char(' ')`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 752 of file qstring.h.

    { return arg(qulonglong(a), fieldWidth, base, fillChar); }

QString arg | ( | int | a,
|  | int | fieldWidth = `0`,
|  | int | base = `10`,
|  | const QChar & | fillChar = `QLatin1Char(' ')`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 746 of file qstring.h.

    { return arg(qlonglong(a), fieldWidth, base, fillChar); }

QString arg | ( | uint | a,
|  | int | fieldWidth = `0`,
|  | int | base = `10`,
|  | const QChar & | fillChar = `QLatin1Char(' ')`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 748 of file qstring.h.

    { return arg(qulonglong(a), fieldWidth, base, fillChar); }

QString arg | ( | short | a,
|  | int | fieldWidth = `0`,
|  | int | base = `10`,
|  | const QChar & | fillChar = `QLatin1Char(' ')`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 754 of file qstring.h.

    { return arg(qlonglong(a), fieldWidth, base, fillChar); }

QString arg | ( | ushort | a,
|  | int | fieldWidth = `0`,
|  | int | base = `10`,
|  | const QChar & | fillChar = `QLatin1Char(' ')`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 756 of file qstring.h.

    { return arg(qulonglong(a), fieldWidth, base, fillChar); }

QString arg | ( | double | a,
|  | int | fieldWidth = `0`,
|  | char | fmt = `'g'`,
|  | int | prec = `-1`,
|  | const QChar & | fillChar = `QLatin1Char(' ')`
| ) |  | const

Search for all occurrences

QString arg | ( | char | a,
|  | int | fieldWidth = `0`,
|  | const QChar & | fillChar = `QLatin1Char(' ')`
| ) |  | const

Search for all occurrences

QString arg | ( | QChar | a,
|  | int | fieldWidth = `0`,
|  | const QChar & | fillChar = `QLatin1Char(' ')`
| ) |  | const

Search for all occurrences

QString arg | ( | const QString & | a,
|  | int | fieldWidth = `0`,
|  | const QChar & | fillChar = `QLatin1Char(' ')`
| ) |  | const

Search for all occurrences

QString arg | ( | const QString & | a1,
|  | const QString & | a2
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 758 of file qstring.h.

    { const QString *args[2] = { &a1, &a2 }; return multiArg(2, args); }

QString arg | ( | const QString & | a1,
|  | const QString & | a2,
|  | const QString & | a3
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 760 of file qstring.h.

    { const QString *args[3] = { &a1, &a2, &a3 }; return multiArg(3, args); }

QString arg | ( | const QString & | a1,
|  | const QString & | a2,
|  | const QString & | a3,
|  | const QString & | a4
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 762 of file qstring.h.

    { const QString *args[4] = { &a1, &a2, &a3, &a4 }; return multiArg(4, args); }

QString arg | ( | const QString & | a1,
|  | const QString & | a2,
|  | const QString & | a3,
|  | const QString & | a4,
|  | const QString & | a5
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 765 of file qstring.h.

    { const QString *args[5] = { &a1, &a2, &a3, &a4, &a5 }; return multiArg(5, args); }

QString arg | ( | const QString & | a1,
|  | const QString & | a2,
|  | const QString & | a3,
|  | const QString & | a4,
|  | const QString & | a5,
|  | const QString & | a6
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 768 of file qstring.h.

    { const QString *args[6] = { &a1, &a2, &a3, &a4, &a5, &a6 }; return multiArg(6, args); }

QString arg | ( | const QString & | a1,
|  | const QString & | a2,
|  | const QString & | a3,
|  | const QString & | a4,
|  | const QString & | a5,
|  | const QString & | a6,
|  | const QString & | a7
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 771 of file qstring.h.

    { const QString *args[7] = { &a1, &a2, &a3, &a4, &a5, &a6,  &a7 }; return multiArg(7, args); }

QString arg | ( | const QString & | a1,
|  | const QString & | a2,
|  | const QString & | a3,
|  | const QString & | a4,
|  | const QString & | a5,
|  | const QString & | a6,
|  | const QString & | a7,
|  | const QString & | a8
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 775 of file qstring.h.

    { const QString *args[8] = { &a1, &a2, &a3, &a4, &a5, &a6,  &a7, &a8 }; return multiArg(8, args); }

QString arg | ( | const QString & | a1,
|  | const QString & | a2,
|  | const QString & | a3,
|  | const QString & | a4,
|  | const QString & | a5,
|  | const QString & | a6,
|  | const QString & | a7,
|  | const QString & | a8,
|  | const QString & | a9
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 779 of file qstring.h.

    { const QString *args[9] = { &a1, &a2, &a3, &a4, &a5, &a6,  &a7, &a8, &a9 }; return multiArg(9, args); }

QString& vsprintf | ( | const char * | format,
|  | va_list | ap
| ) |  |

Search for all occurrences

QString& sprintf | ( | const char * | format,
|  |  | ...
| ) |  |

Search for all occurrences

int indexOf | ( | QChar | c,
|  | int | from = `0`,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const

Search for all occurrences

Examples:
  AutoExtract/AutoExtract.cpp.

int indexOf | ( | const QString & | s,
|  | int | from = `0`,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const

Search for all occurrences

int indexOf | ( | const QLatin1String & | s,
|  | int | from = `0`,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const

Search for all occurrences

int lastIndexOf | ( | QChar | c,
|  | int | from = `-1`,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const

Search for all occurrences

int lastIndexOf | ( | const QString & | s,
|  | int | from = `-1`,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const

Search for all occurrences

int lastIndexOf | ( | const QLatin1String & | s,
|  | int | from = `-1`,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const

Search for all occurrences

QBool contains | ( | QChar | c,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 905 of file qstring.h.

    { return QBool(indexOf(c, 0, cs) != -1); }

QBool contains | ( | const QString & | s,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 903 of file qstring.h.

    { return QBool(indexOf(s, 0, cs) != -1); }

int count | ( | QChar | c,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const

Search for all occurrences

int count | ( | const QString & | s,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const

Search for all occurrences

int indexOf | ( | const QRegExp & | ,
|  | int | from = `0`
| ) |  | const

Search for all occurrences

int lastIndexOf | ( | const QRegExp & | ,
|  | int | from = `-1`
| ) |  | const

Search for all occurrences

QBool contains | ( | const QRegExp & | rx | ) | const `[inline]`

Search for all occurrences

Definition at line 213 of file qstring.h.

    { return QBool(indexOf(rx) != -1); }

int count | ( | const QRegExp & |  | ) | const

Search for all occurrences

int indexOf | ( | QRegExp & | ,
|  | int | from = `0`
| ) |  | const

Search for all occurrences

int lastIndexOf | ( | QRegExp & | ,
|  | int | from = `-1`
| ) |  | const

Search for all occurrences

QBool contains | ( | QRegExp & | rx | ) | const `[inline]`

Search for all occurrences

Definition at line 218 of file qstring.h.

    { return QBool(indexOf(rx) != -1); }

QString section | ( | QChar | sep,
|  | int | start,
|  | int | end = `-1`,
|  | SectionFlags | flags = `SectionDefault`
| ) |  | const `[inline]`

Search for all occurrences

Examples:
  MeshDisplace/displacer.cpp.

Definition at line 784 of file qstring.h.

    { return section(QString(asep), astart, aend, aflags); }

QString section | ( | const QString & | in_sep,
|  | int | start,
|  | int | end = `-1`,
|  | SectionFlags | flags = `SectionDefault`
| ) |  | const

Search for all occurrences

QString section | ( | const QRegExp & | reg,
|  | int | start,
|  | int | end = `-1`,
|  | SectionFlags | flags = `SectionDefault`
| ) |  | const

Search for all occurrences

QString left | ( | int | n | ) | const

Search for all occurrences

Examples:
  MeshDisplace/displacer.cpp.

QString right | ( | int | n | ) | const

Search for all occurrences

Examples:
  MeshDisplace/displacer.cpp.

QString mid | ( | int | position,
|  | int | n = `-1`
| ) |  | const

Search for all occurrences

QStringRef leftRef | ( | int | n | ) | const

Search for all occurrences

QStringRef rightRef | ( | int | n | ) | const

Search for all occurrences

QStringRef midRef | ( | int | position,
|  | int | n = `-1`
| ) |  | const

Search for all occurrences

bool startsWith | ( | const QString & | s,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const

Search for all occurrences

bool startsWith | ( | const QLatin1String & | s,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const

Search for all occurrences

bool startsWith | ( | const QChar & | c,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const

Search for all occurrences

bool endsWith | ( | const QString & | s,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const

Search for all occurrences

bool endsWith | ( | const QLatin1String & | s,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const

Search for all occurrences

bool endsWith | ( | const QChar & | c,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const

Search for all occurrences

QString leftJustified | ( | int | width,
|  | QChar | fill = `QLatin1Char(' ')`,
|  | bool | trunc = `false`
| ) |  | const

Search for all occurrences

QString rightJustified | ( | int | width,
|  | QChar | fill = `QLatin1Char(' ')`,
|  | bool | trunc = `false`
| ) |  | const

Search for all occurrences

QString toLower | ( |  | ) | const

Search for all occurrences

QString toUpper | ( |  | ) | const

Search for all occurrences

QString toCaseFolded | ( |  | ) | const

Search for all occurrences

QString trimmed | ( |  | ) | const

Search for all occurrences

QString simplified | ( |  | ) | const

Search for all occurrences

QString& insert | ( | int | i,
|  | QChar | c
| ) |  |

Search for all occurrences

QString& insert | ( | int | i,
|  | const QChar * | uc,
|  | int | len
| ) |  |

Search for all occurrences

QString& insert | ( | int | i,
|  | const QString & | s
| ) |  | `[inline]`

Search for all occurrences

Definition at line 262 of file qstring.h.

    { return insert(i, s.constData(), s.length()); }

QString& insert | ( | int | i,
|  | const QLatin1String & | s
| ) |  |

Search for all occurrences

QString& append | ( | QChar | c | ) |

Search for all occurrences

QString& append | ( | const QString & | s | ) |

Search for all occurrences

QString& append | ( | const QStringRef & | s | ) |

Search for all occurrences

QString& append | ( | const QLatin1String & | s | ) |

Search for all occurrences

QString& prepend | ( | QChar | c | ) | `[inline]`

Search for all occurrences

Definition at line 268 of file qstring.h.

    { return insert(0, c); }

QString& prepend | ( | const QString & | s | ) | `[inline]`

Search for all occurrences

Definition at line 269 of file qstring.h.

    { return insert(0, s); }

QString& prepend | ( | const QLatin1String & | s | ) | `[inline]`

Search for all occurrences

Definition at line 270 of file qstring.h.

    { return insert(0, s); }

QString& operator+= | ( | QChar | c | ) | `[inline]`

Definition at line 272 of file qstring.h.

                                            {
            if (d->ref != 1 || d->size + 1 > d->alloc)
                realloc(grow(d->size + 1));
            d->data[d->size++] = c.unicode();
            d->data[d->size] = '\0';
            return *this;
        }

QString& operator+= | ( | QChar::SpecialCharacter | c | ) | `[inline]`

Definition at line 280 of file qstring.h.

    { return append(QChar(c)); }

QString& operator+= | ( | const QString & | s | ) | `[inline]`

Definition at line 281 of file qstring.h.

    { return append(s); }

QString& operator+= | ( | const QStringRef & | s | ) | `[inline]`

Definition at line 282 of file qstring.h.

    { return append(s); }

QString& operator+= | ( | const QLatin1String & | s | ) | `[inline]`

Definition at line 283 of file qstring.h.

    { return append(s); }

QString& remove | ( | int | i,
|  | int | len
| ) |  |

Search for all occurrences

QString& remove | ( | QChar | c,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  |

Search for all occurrences

QString& remove | ( | const QString & | s,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  |

Search for all occurrences

QString& replace | ( | int | i,
|  | int | len,
|  | QChar | after
| ) |  |

Search for all occurrences

QString& replace | ( | int | i,
|  | int | len,
|  | const QChar * | s,
|  | int | slen
| ) |  |

Search for all occurrences

QString& replace | ( | int | i,
|  | int | len,
|  | const QString & | after
| ) |  |

Search for all occurrences

QString& replace | ( | QChar | before,
|  | QChar | after,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  |

Search for all occurrences

QString& replace | ( | const QChar * | before,
|  | int | blen,
|  | const QChar * | after,
|  | int | alen,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  |

Search for all occurrences

QString& replace | ( | const QLatin1String & | before,
|  | const QLatin1String & | after,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  |

Search for all occurrences

QString& replace | ( | const QLatin1String & | before,
|  | const QString & | after,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  |

Search for all occurrences

QString& replace | ( | const QString & | before,
|  | const QLatin1String & | after,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  |

Search for all occurrences

QString& replace | ( | const QString & | before,
|  | const QString & | after,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  |

Search for all occurrences

QString& replace | ( | QChar | c,
|  | const QString & | after,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  |

Search for all occurrences

QString& replace | ( | QChar | c,
|  | const QLatin1String & | after,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  |

Search for all occurrences

QString& replace | ( | const QRegExp & | rx,
|  | const QString & | after
| ) |  |

Search for all occurrences

QString& remove | ( | const QRegExp & | rx | ) | `[inline]`

Search for all occurrences

Definition at line 302 of file qstring.h.

        { return replace(rx, QString()); }

QStringList split | ( | const QString & | sep,
|  | SplitBehavior | behavior = `KeepEmptyParts`,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const

Search for all occurrences

QStringList split | ( | const QChar & | sep,
|  | SplitBehavior | behavior = `KeepEmptyParts`,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const

Search for all occurrences

QStringList split | ( | const QRegExp & | sep,
|  | SplitBehavior | behavior = `KeepEmptyParts`
| ) |  | const

Search for all occurrences

QString normalized | ( | NormalizationForm | mode | ) | const

Search for all occurrences

QString normalized | ( | NormalizationForm | mode,
|  | QChar::UnicodeVersion | version
| ) |  | const

Search for all occurrences

QString repeated | ( | int | times | ) | const

Search for all occurrences

const ushort* utf16 | ( |  | ) | const

Search for all occurrences

QByteArray toAscii | ( |  | ) | const

Search for all occurrences

QByteArray toLatin1 | ( |  | ) | const

Search for all occurrences

QByteArray toUtf8 | ( |  | ) | const

Search for all occurrences

QByteArray toLocal8Bit | ( |  | ) | const

Search for all occurrences

QVector<uint> toUcs4 | ( |  | ) | const

Search for all occurrences

static QString fromAscii | ( | const char * | ,
|  | int | size = `-1`
| ) |  | `[static]`

Search for all occurrences

static QString fromLatin1 | ( | const char * | ,
|  | int | size = `-1`
| ) |  | `[static]`

Search for all occurrences

static QString fromUtf8 | ( | const char * | ,
|  | int | size = `-1`
| ) |  | `[static]`

Search for all occurrences

static QString fromLocal8Bit | ( | const char * | ,
|  | int | size = `-1`
| ) |  | `[static]`

Search for all occurrences

static QString fromUtf16 | ( | const ushort * | ,
|  | int | size = `-1`
| ) |  | `[static]`

Search for all occurrences

static QString fromUcs4 | ( | const uint * | ,
|  | int | size = `-1`
| ) |  | `[static]`

Search for all occurrences

static QString fromRawData | ( | const QChar * | ,
|  | int | size
| ) |  | `[static]`

Search for all occurrences

int toWCharArray | ( | wchar_t * | array | ) | const

Search for all occurrences

static QString fromWCharArray | ( | const wchar_t * | ,
|  | int | size = `-1`
| ) |  | `[static]`

Search for all occurrences

QString& setRawData | ( | const QChar * | unicode,
|  | int | size
| ) |  |

Search for all occurrences

QString& setUnicode | ( | const QChar * | unicode,
|  | int | size
| ) |  |

Search for all occurrences

QString & setUtf16 | ( | const ushort * | utf16,
|  | int | size
| ) |  | `[inline]`

Search for all occurrences

Definition at line 885 of file qstring.h.

    { return setUnicode(reinterpret_cast<const QChar *>(autf16), asize); }

int compare | ( | const QString & | s | ) | const

Search for all occurrences

int compare | ( | const QString & | s,
|  | Qt::CaseSensitivity | cs
| ) |  | const

Search for all occurrences

int compare | ( | const QLatin1String & | other,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const

Search for all occurrences

static int compare | ( | const QString & | s1,
|  | const QString & | s2
| ) |  | `[inline, static]`

Search for all occurrences

Definition at line 357 of file qstring.h.

        { return s1.compare(s2); }

static int compare | ( | const QString & | s1,
|  | const QString & | s2,
|  | Qt::CaseSensitivity | cs
| ) |  | `[inline, static]`

Search for all occurrences

Definition at line 359 of file qstring.h.

        { return s1.compare(s2, cs); }

static int compare | ( | const QString & | s1,
|  | const QLatin1String & | s2,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | `[inline, static]`

Search for all occurrences

Definition at line 362 of file qstring.h.

        { return s1.compare(s2, cs); }

static int compare | ( | const QLatin1String & | s1,
|  | const QString & | s2,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | `[inline, static]`

Search for all occurrences

Definition at line 365 of file qstring.h.

        { return -s2.compare(s1, cs); }

int compare | ( | const QStringRef & | s,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 1214 of file qstring.h.

    { return QString::compare_helper(constData(), length(), s.constData(), s.length(), cs); }

int compare | ( | const QString & | s1,
|  | const QStringRef & | s2,
|  | Qt::CaseSensitivity | cs = `Qt::CaseSensitive`
| ) |  | `[inline, static]`

Search for all occurrences

Definition at line 1216 of file qstring.h.

    { return QString::compare_helper(s1.constData(), s1.length(), s2.constData(), s2.length(), cs); }

int localeAwareCompare | ( | const QString & | s | ) | const

Search for all occurrences

static int localeAwareCompare | ( | const QString & | s1,
|  | const QString & | s2
| ) |  | `[inline, static]`

Search for all occurrences

Definition at line 374 of file qstring.h.

        { return s1.localeAwareCompare(s2); }

int localeAwareCompare | ( | const QStringRef & | s | ) | const `[inline]`

Search for all occurrences

Definition at line 1231 of file qstring.h.

    { return localeAwareCompare_helper(constData(), length(), s.constData(), s.length()); }

int localeAwareCompare | ( | const QString & | s1,
|  | const QStringRef & | s2
| ) |  | `[inline, static]`

Search for all occurrences

Definition at line 1233 of file qstring.h.

    { return localeAwareCompare_helper(s1.constData(), s1.length(), s2.constData(), s2.length()); }

short toShort | ( | bool * | ok = `0`,
|  | int | base = `10`
| ) |  | const

Search for all occurrences

ushort toUShort | ( | bool * | ok = `0`,
|  | int | base = `10`
| ) |  | const

Search for all occurrences

int toInt | ( | bool * | ok = `0`,
|  | int | base = `10`
| ) |  | const

Search for all occurrences

uint toUInt | ( | bool * | ok = `0`,
|  | int | base = `10`
| ) |  | const

Search for all occurrences

long toLong | ( | bool * | ok = `0`,
|  | int | base = `10`
| ) |  | const

Search for all occurrences

ulong toULong | ( | bool * | ok = `0`,
|  | int | base = `10`
| ) |  | const

Search for all occurrences

qlonglong toLongLong | ( | bool * | ok = `0`,
|  | int | base = `10`
| ) |  | const

Search for all occurrences

qulonglong toULongLong | ( | bool * | ok = `0`,
|  | int | base = `10`
| ) |  | const

Search for all occurrences

float toFloat | ( | bool * | ok = `0` | ) | const

Search for all occurrences

double toDouble | ( | bool * | ok = `0` | ) | const

Search for all occurrences

QString & setNum | ( | short | n,
|  | int | base = `10`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 732 of file qstring.h.

    { return setNum(qlonglong(n), base); }

QString & setNum | ( | ushort | n,
|  | int | base = `10`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 734 of file qstring.h.

    { return setNum(qulonglong(n), base); }

QString & setNum | ( | int | n,
|  | int | base = `10`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 736 of file qstring.h.

    { return setNum(qlonglong(n), base); }

QString & setNum | ( | uint | n,
|  | int | base = `10`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 738 of file qstring.h.

    { return setNum(qulonglong(n), base); }

QString & setNum | ( | long | n,
|  | int | base = `10`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 740 of file qstring.h.

    { return setNum(qlonglong(n), base); }

QString & setNum | ( | ulong | n,
|  | int | base = `10`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 742 of file qstring.h.

    { return setNum(qulonglong(n), base); }

QString& setNum | ( | qlonglong | ,
|  | int | base = `10`
| ) |  |

Search for all occurrences

QString& setNum | ( | qulonglong | ,
|  | int | base = `10`
| ) |  |

Search for all occurrences

QString & setNum | ( | float | n,
|  | char | f = `'g'`,
|  | int | prec = `6`
| ) |  | `[inline]`

Search for all occurrences

Definition at line 744 of file qstring.h.

    { return setNum(double(n),f,prec); }

QString& setNum | ( | double | ,
|  | char | f = `'g'`,
|  | int | prec = `6`
| ) |  |

Search for all occurrences

static QString number | ( | int | ,
|  | int | base = `10`
| ) |  | `[static]`

Search for all occurrences

static QString number | ( | uint | ,
|  | int | base = `10`
| ) |  | `[static]`

Search for all occurrences

static QString number | ( | long | ,
|  | int | base = `10`
| ) |  | `[static]`

Search for all occurrences

static QString number | ( | ulong | ,
|  | int | base = `10`
| ) |  | `[static]`

Search for all occurrences

static QString number | ( | qlonglong | ,
|  | int | base = `10`
| ) |  | `[static]`

Search for all occurrences

static QString number | ( | qulonglong | ,
|  | int | base = `10`
| ) |  | `[static]`

Search for all occurrences

static QString number | ( | double | ,
|  | char | f = `'g'`,
|  | int | prec = `6`
| ) |  | `[static]`

Search for all occurrences

bool operator== | ( | const QString & | s | ) | const

bool operator< | ( | const QString & | s | ) | const

bool operator> | ( | const QString & | s | ) | const `[inline]`

Definition at line 412 of file qstring.h.

    { return s < *this; }

bool operator!= | ( | const QString & | s | ) | const `[inline]`

Definition at line 413 of file qstring.h.

    { return !operator==(s); }

bool operator<= | ( | const QString & | s | ) | const `[inline]`

Definition at line 414 of file qstring.h.

    { return !operator>(s); }

bool operator>= | ( | const QString & | s | ) | const `[inline]`

Definition at line 415 of file qstring.h.

    { return !operator<(s); }

bool operator== | ( | const QLatin1String & | s | ) | const

bool operator< | ( | const QLatin1String & | s | ) | const

bool operator> | ( | const QLatin1String & | s | ) | const

bool operator!= | ( | const QLatin1String & | s | ) | const `[inline]`

Definition at line 420 of file qstring.h.

    { return !operator==(s); }

bool operator<= | ( | const QLatin1String & | s | ) | const `[inline]`

Definition at line 421 of file qstring.h.

    { return !operator>(s); }

bool operator>= | ( | const QLatin1String & | s | ) | const `[inline]`

Definition at line 422 of file qstring.h.

    { return !operator<(s); }

QT_ASCII_CAST_WARN QString& operator= | ( | const char * | ch | ) | `[inline]`

Definition at line 431 of file qstring.h.

        { return (*this = fromAscii(ch)); }

QT_ASCII_CAST_WARN QString& operator= | ( | const QByteArray & | a | ) | `[inline]`

Definition at line 433 of file qstring.h.

        { return (*this = fromAscii(a.constData(), qstrnlen(a.constData(), a.size()))); }

QT_ASCII_CAST_WARN QString& operator= | ( | char | c | ) | `[inline]`

Definition at line 435 of file qstring.h.

        { return (*this = QChar::fromAscii(c)); }

QT_ASCII_CAST_WARN QString& prepend | ( | const char * | s | ) | `[inline]`

Search for all occurrences

Definition at line 439 of file qstring.h.

        { return prepend(QString::fromAscii(s)); }

QT_ASCII_CAST_WARN QString& prepend | ( | const QByteArray & | s | ) | `[inline]`

Search for all occurrences

Definition at line 441 of file qstring.h.

        { return prepend(QString::fromAscii(s.constData(), qstrnlen(s.constData(), s.size()))); }

QT_ASCII_CAST_WARN QString& append | ( | const char * | s | ) | `[inline]`

Search for all occurrences

Definition at line 443 of file qstring.h.

        { return append(QString::fromAscii(s)); }

QT_ASCII_CAST_WARN QString& append | ( | const QByteArray & | s | ) | `[inline]`

Search for all occurrences

Definition at line 445 of file qstring.h.

        { return append(QString::fromAscii(s.constData(), qstrnlen(s.constData(), s.size()))); }

QT_ASCII_CAST_WARN QString& operator+= | ( | const char * | s | ) | `[inline]`

Definition at line 447 of file qstring.h.

        { return append(QString::fromAscii(s)); }

QT_ASCII_CAST_WARN QString& operator+= | ( | const QByteArray & | s | ) | `[inline]`

Definition at line 449 of file qstring.h.

        { return append(QString::fromAscii(s.constData(), qstrnlen(s.constData(), s.size()))); }

QT_ASCII_CAST_WARN QString& operator+= | ( | char | c | ) | `[inline]`

Definition at line 451 of file qstring.h.

        { return append(QChar::fromAscii(c)); }

bool operator== | ( | const char * | s | ) | const `[inline]`

Definition at line 924 of file qstring.h.

    { return qStringComparisonHelper(*this, s); }

bool operator!= | ( | const char * | s | ) | const `[inline]`

Definition at line 926 of file qstring.h.

    { return !qStringComparisonHelper(*this, s); }

bool operator< | ( | const char * | s | ) | const `[inline]`

Definition at line 928 of file qstring.h.

    { return *this < QString::fromAscii(s); }

bool operator<= | ( | const char * | s2 | ) | const `[inline]`

Definition at line 932 of file qstring.h.

    { return *this <= QString::fromAscii(s); }

bool operator> | ( | const char * | s2 | ) | const `[inline]`

Definition at line 930 of file qstring.h.

    { return *this > QString::fromAscii(s); }

bool operator>= | ( | const char * | s2 | ) | const `[inline]`

Definition at line 934 of file qstring.h.

    { return *this >= QString::fromAscii(s); }

bool operator== | ( | const QByteArray & | s | ) | const `[inline]`

Definition at line 977 of file qstring.h.

    { return qStringComparisonHelper(*this, s.constData()); }

bool operator!= | ( | const QByteArray & | s | ) | const `[inline]`

Definition at line 979 of file qstring.h.

    { return !qStringComparisonHelper(*this, s.constData()); }

QT_ASCII_CAST_WARN bool operator< | ( | const QByteArray & | s | ) | const `[inline]`

Definition at line 463 of file qstring.h.

        { return *this < QString::fromAscii(s.constData(), s.size()); }

QT_ASCII_CAST_WARN bool operator> | ( | const QByteArray & | s | ) | const `[inline]`

Definition at line 465 of file qstring.h.

        { return *this > QString::fromAscii(s.constData(), s.size()); }

QT_ASCII_CAST_WARN bool operator<= | ( | const QByteArray & | s | ) | const `[inline]`

Definition at line 467 of file qstring.h.

        { return *this <= QString::fromAscii(s.constData(), s.size()); }

QT_ASCII_CAST_WARN bool operator>= | ( | const QByteArray & | s | ) | const `[inline]`

Definition at line 469 of file qstring.h.

        { return *this >= QString::fromAscii(s.constData(), s.size()); }

QString::iterator begin | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 891 of file qstring.h.

    { detach(); return reinterpret_cast<QChar*>(d->data); }

QString::const_iterator begin | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 893 of file qstring.h.

    { return reinterpret_cast<const QChar*>(d->data); }

QString::const_iterator constBegin | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 895 of file qstring.h.

    { return reinterpret_cast<const QChar*>(d->data); }

QString::iterator end | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 897 of file qstring.h.

    { detach(); return reinterpret_cast<QChar*>(d->data + d->size); }

QString::const_iterator end | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 899 of file qstring.h.

    { return reinterpret_cast<const QChar*>(d->data + d->size); }

QString::const_iterator constEnd | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 901 of file qstring.h.

    { return reinterpret_cast<const QChar*>(d->data + d->size); }

void push_back | ( | QChar | c | ) | `[inline]`

Search for all occurrences

Definition at line 485 of file qstring.h.

    { append(c); }

void push_back | ( | const QString & | s | ) | `[inline]`

Search for all occurrences

Definition at line 486 of file qstring.h.

    { append(s); }

void push_front | ( | QChar | c | ) | `[inline]`

Search for all occurrences

Definition at line 487 of file qstring.h.

    { prepend(c); }

void push_front | ( | const QString & | s | ) | `[inline]`

Search for all occurrences

Definition at line 488 of file qstring.h.

    { prepend(s); }

QString fromStdString | ( | const std::string & | s | ) | `[inline, static]`

Search for all occurrences

Definition at line 1050 of file qstring.h.

    { return fromAscii(s.data(), int(s.size())); }

std::string toStdString | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 1047 of file qstring.h.

    { const QByteArray asc = toAscii(); return std::string(asc.constData(), asc.length()); }

QString fromStdWString | ( | const QStdWString & | s | ) | `[inline, static]`

Search for all occurrences

Definition at line 1068 of file qstring.h.

    { return fromWCharArray(s.data(), int(s.size())); }

QStdWString toStdWString | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 1054 of file qstring.h.

    {
        QStdWString str;
        str.resize(length());

    #if defined(_MSC_VER) && _MSC_VER >= 1400
        // VS2005 crashes if the string is empty
        if (!length())
            return str;
    #endif

        str.resize(toWCharArray(&(*str.begin())));
        return str;
    }

QString& operator= | ( | const Null & |  | ) | `[inline]`

Definition at line 508 of file qstring.h.

    { *this = QString(); return *this; }

bool isNull | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 509 of file qstring.h.

    { return d == &shared_null; }

bool isSimpleText | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 592 of file qstring.h.

    { if (!d->clean) updateProperties(); return d->simpletext; }

bool isRightToLeft | ( |  | ) | const

Search for all occurrences

DataPtr& data_ptr | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 653 of file qstring.h.

    { return d; }

## Friends And Related Function Documentation

friend class QCharRef `[friend]`

Search for all occurrences

Definition at line 645 of file qstring.h.

friend class QTextCodec `[friend]`

Search for all occurrences

Definition at line 646 of file qstring.h.

friend class QStringRef `[friend]`

Search for all occurrences

Definition at line 647 of file qstring.h.

friend struct QAbstractConcatenable `[friend]`

Search for all occurrences

Definition at line 648 of file qstring.h.

bool qStringComparisonHelper | ( | const QString & | s1,
|  | const char * | s2
| ) |  | `[friend]`

Search for all occurrences

Definition at line 917 of file qstring.h.

    {
    #  ifndef QT_NO_TEXTCODEC
        if (QString::codecForCStrings) return (s1 == QString::fromAscii(s2));
    #  endif
        return (s1 == QLatin1String(s2));
    }

bool qStringComparisonHelper | ( | const QStringRef & | s1,
|  | const char * | s2
| ) |  | `[friend]`

Search for all occurrences

Definition at line 1197 of file qstring.h.

    {
    #  ifndef QT_NO_TEXTCODEC
        if (QString::codecForCStrings) return (s1 == QString::fromAscii(s2));
    #  endif
        return (s1 == QLatin1String(s2));
    }

## Member Data Documentation

const Null null `[static]`

Search for all occurrences

Examples:
  FrameCounter/FrameCounter.cpp, MenuMessenger/MenuMessenger.cpp, MeshBuilder/MeshBuilder.cpp, and TextureConveyor/TextureConveyor.cpp.

Definition at line 506 of file qstring.h.

The documentation for this class was generated from the following file:

- QtCore/qstring.h

QString QString QString QString QString QString QString QString QString QString
QString QString QString QString QString QString QString QString QString QString